package com.fs.app.controller;


import com.fs.common.core.domain.R;
import com.fs.qw.param.newqw.QwExternalContactPageListParam;
import com.fs.qw.service.IQwExternalContactService;
import com.fs.qw.vo.newqw.QwExternalContactListVo;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

import java.util.List;


@Api("企微相关接口")
@RestController
@RequestMapping("/fsUser")
public class QwController extends AppBaseController {

    @Autowired
    private IQwExternalContactService qwExternalContactService;

    @PostMapping("/getFsUserList")
    public R pageList(@RequestBody QwExternalContactPageListParam param) {
        param.setUserId(Long.parseLong(getUserId()));
        PageHelper.startPage(param.getPageNum(), param.getPageSize());
        param.setIsBlack(false);
        List<QwExternalContactListVo> list = qwExternalContactService.selectQwExternalContactPageList(param);
        PageInfo<QwExternalContactListVo> pageInfo = new PageInfo<>(list);
        return R.ok().put("data", pageInfo);
    }

    @PostMapping("/getBlackUserList")
    public R pageListBlack(@RequestBody QwExternalContactPageListParam param) {
        param.setUserId(Long.parseLong(getUserId()));
        PageHelper.startPage(param.getPageNum(), param.getPageSize());
        param.setIsBlack(true);
        List<QwExternalContactListVo> list = qwExternalContactService.selectQwExternalContactPageList(param);
        PageInfo<QwExternalContactListVo> pageInfo = new PageInfo<>(list);
        return R.ok().put("data", pageInfo);
    }

}
